MetaModels Workshop in Berlin
Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 40 von 45

Thema: composer Befehle über SSH - PHP Version angeben

  1. #1
    Alter Contao-Hase
    Registriert seit
    20.09.2012.
    Ort
    Lüneburger Heide
    Beiträge
    1.390
    User beschenken
    Wunschliste

    Standard composer Befehle über SSH - PHP Version angeben

    Hallo Leute,

    ich probiere gerade wieder bei 1und1 Contao 4 manuell über den Composer zu installieren.

    Jetzt muss ich aber immer in der Konsole die richtige PHP Version angeben.

    z.B.
    PHP-Code:
    /usr/bin/php7.1-cli composer.phar create-project contao/managed-edition contao4 
    Dieses
    PHP-Code:
    /usr/bin/php7.1-cli 
    würde ich mir gerne sparen.
    Ich habe mal etwas von einem Alias gehört, finde dazu aber nichts passendes.

    Hat da jemand mal einen Tipp für mich wie ich dieses
    PHP-Code:
    /usr/bin/php7.1-cli 
    weglassen oder verkürzen kann?

    Gruß
    tschero

  2. #2
    Contao-Fan Avatar von Fehrmann
    Registriert seit
    04.07.2009.
    Ort
    Wismar
    Beiträge
    358

    Standard

    Hi,

    auf unserer Entwicklungsumgebung haben wir per SSH die BASH laufen. Dann legen wir in der .bash_profile Aliase für wiederkehrende Befehle an. Das funktioniert recht gut. Das bringt jedoch nur Zeitersparnis, wenn man mit dem System auch öfters arbeitet.

    Das sieht dann z.B. so aus:

    Code:
    alias compself="/opt/plesk/php/7.1/bin/php ../composer.phar selfupdate"
    Viele Grüße
    René
    aiDESIGNER - www.ai-designer.de, ehemals als Freelancer www.omos.de

  3. #3
    Contao-Urgestein Avatar von fiedsch
    Registriert seit
    09.07.2009.
    Ort
    München
    Beiträge
    2.208

    Standard

    Wenn "/usr/bin" in PATH enthalten ist kannst Du Dir das schon mal sparen und nur "php7.1-cli composer.phar create-project contao/managed-edition contao4" schreiben. Jetzt könntest Du noch einen alias machen (google: bash alias), aber dann musst Du auch daran denken, den jedes Mal anzupassen, wenn sich die PHP-Version ändert. Das würde ich mir sparen, denn so viel Tipparbeit ist es ja auch wieder nicht.

    Wenn, dann würde ich die composer.phar so installieren, daß sie als "composer" gefunden wird, automatisch die php7.1-cli dafür verwendet wird und dann musst Du nur noch "composer create-project contao/managed-edition contao4" schreiben.
    Stammtisch Contao Bayern: http://www.contao-bayern.de

  4. #4
    Alter Contao-Hase
    Registriert seit
    20.09.2012.
    Ort
    Lüneburger Heide
    Beiträge
    1.390
    User beschenken
    Wunschliste

    Standard

    Vielen Dank für die schnellen Antworten.

    @fiedsch:
    Wenn, dann würde ich die composer.phar so installieren, daß sie als "composer" gefunden wird, automatisch die php7.1-cli dafür verwendet wird und dann musst Du nur noch "composer create-project contao/managed-edition contao4" schreiben.
    Das hört sich auch interessant an.

    Der Composer ist jetzt installiert. Ich nehme an das der wieder deinstalliert werden muss um das so zu machen.

    Hast Du zufällig einen Link mit Infos dazu parat um den Composer so wie oben beschrieben zu installieren?

    Gruß
    tschero

  5. #5
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von tschero Beitrag anzeigen
    Der Composer ist jetzt installiert. Ich nehme an das der wieder deinstalliert werden muss um das so zu machen.
    Nein, das spielt keine Rolle.

    Du könntest dir im Root der Contao Installation eine Datei namens composer anlegen mit folgendem Inhalt:
    Code:
    #!/bin/sh
    
    /usr/bin/php7.1-cli "composer.phar" "$@"
    Danach noch
    Code:
    chmod +x composer
    ausführen. Danach kannst du composer Operationen mit
    Code:
    composer …
    ausführen, statt
    Code:
    /usr/bin/php7.1-cli composer.phar …

  6. #6
    Alter Contao-Hase
    Registriert seit
    20.09.2012.
    Ort
    Lüneburger Heide
    Beiträge
    1.390
    User beschenken
    Wunschliste

    Standard

    Hat die Datei keine Endung ?

    Wenn ich das mache wie Du es beschrieben hast:
    PHP-Code:
     composer search backupdb 
    Kommt ein Fehler:
    Code:
    -bash: composer: command not found
    Dieses Kommando funktioniert:
    PHP-Code:
    php7.1-cli composer.phar search backupdb 
    Gruß
    tschero

  7. #7
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von tschero Beitrag anzeigen
    Hat die Datei keine Endung ?
    Nein, hat keine Endung


    Zitat Zitat von tschero Beitrag anzeigen
    Wenn ich das mache wie Du es beschrieben hast:
    PHP-Code:
     composer search backupdb 
    Kommt ein Fehler:
    Code:
    -bash: composer: command not found
    chmod +x hast du gemacht? Aber ich denke da sich die composer Datei direkt im selben Verzeichnis befindet, musst du zumindest
    Code:
    ./composer …
    schreiben.

  8. #8
    Alter Contao-Hase
    Registriert seit
    20.09.2012.
    Ort
    Lüneburger Heide
    Beiträge
    1.390
    User beschenken
    Wunschliste

    Standard

    Ja ,chmod hai ch gemacht.
    Die Datei hat jetzt: rwx---r-x

    Die composer und auch die composer.phar Datei liegen in der contao installation - gleiche Ebene wie das web Verzeichnis.

    jetzt kommt:
    PHP-Code:
    -bash: ./composer: /bin/sh^Mbad interpreterNo such file or directory 

  9. #9
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Ich möchte über die Konsole notification_center installieren. nach der Eingabe php -v bekomm ich PHP 5.6.38 als Antwort.
    Beim Hoster habe ich PHP7 eingestellt.
    Der Befehl php [tab-Taste][tab-Taste] funktioniert bei mir leider nicht.

    Wie kann ich die richtige PHP-Version über die Konsole einstellen?
    Gruß Mark

  10. #10
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Falls du bei einem Hoster bist, der sich in dieser Liste befindet, findest du eben dort die notwendigen Informationen.

  11. #11
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Der ist da nicht dabei.

    Ich weiß das da cPanel basierend ist...

    Wenn ich das bisher richtig verstanden habe, sollte ich ja schon die gleiche PHP-Version in der Konsole und auf dem Webspace nutzen.
    Gruß Mark

  12. #12
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Dann musst per SSH selbst nach dem richtigen PHP CLI suchen oder den Hoster fragen.

  13. #13
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    meinst du das damit?
    HTML-Code:
    /opt/cpanel/ea-php70/root/usr/bin/php -v
    wenn ich das eingebe bekomme ich:
    HTML-Code:
    PHP 7.0.32 (cli) (built: Nov  1 2018 08:29:35) ( NTS )
    Hab auch dieses Ausprobiert link #36

    Nach eingabe von
    HTML-Code:
    /opt/cpanel/ea-php70/root/usr/bin/php composer.phar update -o
    bringt er jedoch dann
    HTML-Code:
    Loading composer repositories with package information
    Updating dependencies (including require-dev)
    Killed
    Gruß Mark

  14. #14
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von kischd Beitrag anzeigen
    meinst du das damit?
    HTML-Code:
    /opt/cpanel/ea-php70/root/usr/bin/php -v
    wenn ich das eingebe bekomme ich:
    HTML-Code:
    PHP 7.0.32 (cli) (built: Nov  1 2018 08:29:35) ( NTS )
    Wenn du PHP 7.0 haben möchtest, dann passt das. Empfehlenswert wäre jedoch zumindest PHP 7.1, denn PHP 7.0 ist schon fast am Ende.



    Zitat Zitat von kischd Beitrag anzeigen
    Nach eingabe von
    HTML-Code:
    /opt/cpanel/ea-php70/root/usr/bin/php composer.phar update -o
    bringt er jedoch dann
    HTML-Code:
    Loading composer repositories with package information
    Updating dependencies (including require-dev)
    Killed
    Da wirst du wohl den Cloud Resolver des Contao Managers benötigen.

  15. #15
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Der Contao Manager lässt sich aktuell nicht installieren ;-(
    Da kümmert sich der Hoster darum.

    Kann ich trotzdem irgendwie z.B. notification_center installieren, oder wäre das dann in der falschen PHP-version?
    Gruß Mark

  16. #16
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von kischd Beitrag anzeigen
    Der Contao Manager lässt sich aktuell nicht installieren ;-(
    Warum nicht?


    Zitat Zitat von kischd Beitrag anzeigen
    Kann ich trotzdem irgendwie z.B. notification_center installieren, oder wäre das dann in der falschen PHP-version?
    Du müsstest notification_center bei dir lokal installieren (mit der richtigen PHP Version oder mit entsprechenden Plattform Eintrag in der composer.json), dann die composer.json und composer.lock Datei auf den Server kopieren und
    Code:
    /opt/cpanel/ea-php70/root/usr/bin/php composer.phar install -o
    ausführen.

  17. #17
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Hab mir jetzt erklären lassen, wie ich mit der korrekten PHP-version installieren:

    HTML-Code:
    /opt/cpanel/ea-php72/root/usr/bin/php composer-setup.php
    danach hab ich gleich
    HTML-Code:
    /opt/cpanel/ea-php72/root/usr/bin/php composer.phar require terminal42/notification_center
    Dann bekomm ich aber
    HTML-Code:
    Using version ^1.5 for terminal42/notification_center
    ./composer.json has been created
    Loading composer repositories with package information
    Updating dependencies (including require-dev)
    Killed
    Gruß Mark

  18. #18
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Wie gesagt, du brauchst den Cloud Resolver des Contao Managers. Oder du machst #16

  19. #19
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Dachte wenn ich den Composer nochmal mit PHP7.2 installieren, dann würde das gehen? hab ich da was falsch verstanden?
    Gruß Mark

  20. #20
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Nein, dein Hoster lässt vermutlich den hohen Speicherverbrauch (oder die lange Script Laufzeit) einfach nicht zu und killed daher den Prozess.

  21. #21
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Dann frag ich doch mal an, ob da was zu machen ist...
    Gruß Mark

  22. #22
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Warum funktioniert der Contao Manager nicht?

  23. #23
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Der Binary-Pfad wäre falsch. Egal was ich da eingebe.
    Da gibts schon ein Ticket auf Github. CM wäre für mich viel entspannter
    Gruß Mark

  24. #24
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Meinst du https://github.com/contao/contao-manager/issues/348 ? Das wäre hoffentlich mit der nächsten Contao Manager Version behoben. Du könntest aber zwischenzeitlich deinem Hoster sagen, er soll für das PHP CLI (also /opt/cpanel/ea-php72/root/usr/bin/php in deinem Fall bspw.) die PHP Einstellung zlib.output_compression auf 0 bzw. Off setzen.

  25. #25
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Jepp.

    Du könntest aber zwischenzeitlich deinem Hoster sagen, er soll für das PHP CLI (also /opt/cpanel/ea-php72/root/usr/bin/php in deinem Fall bspw.) die PHP Einstellung zlib.output_compression auf 0 bzw. Off setzen.
    Was immer das auch bedeutet, ich geb es mal weiter
    Gruß Mark

  26. #26
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    War das der Fehler?

    Du könntest aber zwischenzeitlich deinem Hoster sagen, er soll für das PHP CLI (also /opt/cpanel/ea-php72/root/usr/bin/php in deinem Fall bspw.) die PHP Einstellung zlib.output_compression auf 0 bzw. Off setzen.
    Ich komm jetzt in den Manager
    HTML-Code:
    Using version ^1.5 for terminal42/notification_center
    /home/bsgfiduc/public_html/composer.json has been updated
    
    # Process terminated with exit code 0
    # Result: OK
    
    
    > The Composer Cloud failed with status code 400
    
      Your composer.json misses certain packages in its "require" key that must be present. You are not allowed to use this service.
    Muss ich was mit diesem Resolver machen? wo ist der?
    Gruß Mark

  27. #27
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Zeige mal deine composer.json

  28. #28
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Gerne

    HTML-Code:
    {
        "name": "contao/managed-edition",
        "type": "project",
        "description": "Contao Open Source CMS",
        "license": "LGPL-3.0+",
        "authors": [
            {
                "name": "Leo Feyer",
                "homepage": "https://github.com/leofeyer"
            }
        ],
        "require": {
            "php": "^5.6|^7.0",
            "contao/manager-bundle": "4.4.*",
            "contao/calendar-bundle": "4.4.*",
            "contao/comments-bundle": "4.4.*",
            "contao/faq-bundle": "4.4.*",
            "contao/listing-bundle": "4.4.*",
            "contao/news-bundle": "4.4.*",
            "contao/newsletter-bundle": "4.4.*",
            "roave/security-advisories": "dev-master"
        },
        "config": {
            "component-dir": "assets",
            "platform": {
    	    "php": "7.0.32"
    	}
        },
        "extra": {
            "branch-alias": {
                "dev-4.4": "4.4.x-dev"
            }
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }
    Gruß Mark

  29. #29
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Hm, könnte ein Bug im Cloud Resolver sein. Ändere nichts destro trotz deine composer.json mal auf folgendes:
    Code:
    {
        "name": "contao/managed-edition",
        "type": "project",
        "description": "Contao Open Source CMS",
        "license": "LGPL-3.0-or-later",
        "authors": [
            {
                "name": "Leo Feyer",
                "homepage": "https://github.com/leofeyer"
            }
        ],
        "require": {
            "php": "^5.6 || ^7.0",
            "contao/calendar-bundle": "^4.4",
            "contao/comments-bundle": "^4.4",
            "contao/faq-bundle": "^4.4",
            "contao/listing-bundle": "^4.4",
            "contao/manager-bundle": "4.4.*",
            "contao/news-bundle": "^4.4",
            "contao/newsletter-bundle": "^4.4"
        },
        "conflict": {
            "contao-components/installer": "<1.3",
            "contao/core-bundle": "<4.4.8"
        },
        "config": {
            "component-dir": "assets",
            "platform": {
    	    "php": "7.0.32"
    	}
        },
        "extra": {
            "branch-alias": {
                "dev-4.4": "4.4.x-dev"
            },
            "contao-component-dir": "assets"
        },
        "scripts": {
            "post-install-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ],
            "post-update-cmd": [
                "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            ]
        }
    }
    Geändert von Spooky (26.11.2018 um 12:32 Uhr)

  30. #30
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    erledigt.

    Muss ich irgendwas anstoßen?
    Gruß Mark

  31. #31
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Nein, einfach nochmal probieren.

  32. #32
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Unter Systemwartung bekomm ich das Composer Cloud Resolver nicht unterstützt wird,
    Platform must not be configured in composer.json.
    Gruß Mark

  33. #33
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Ohne den Cloud Resolver bekomm ich das:
    HTML-Code:
    $ /opt/cpanel/ea-php72/root/usr/bin/php '-q' '/home/bsgfiduc/public_html/web/contao-manager.phar.php' 'composer' 'update' 'terminal42/notification_center' '--with-dependencies' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' '--dry-run' 2>&1
    
    Loading composer repositories with package information
    Updating dependencies
    PHP Fatal error:  Allowed memory size of 1610612736 bytes exhausted (tried to allocate 4096 bytes) in phar:///home/bsgfiduc/public_html/web/contao-manager.phar.php/vendor/composer/composer/src/Composer/DependencyResolver/Solver.php on line 220
    
    Check https://getcomposer.org/doc/articles/troubleshooting.md#memory-limit-errors for more info on how to handle out of memory errors.
    # Process terminated with exit code 255
    # Result: Unknown error
    Zu wenig memory
    Gruß Mark

  34. #34
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von kischd Beitrag anzeigen
    Unter Systemwartung bekomm ich das Composer Cloud Resolver nicht unterstützt wird,
    Platform must not be configured in composer.json.
    Ja, du musst das
    Code:
    ,
            "platform": {
    	    "php": "7.0.32"
    	}
    entfernen.

  35. #35
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Glaub hab irgendwie den Cloud Resolver deaktiviert. kann ich das wieder einstellen?
    bekomme den memorylimit fehler
    Gruß Mark

  36. #36
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Ja, unter "Server Configuration" stellst du den Cloud Resolver ein. Entweder wenn du den Contao Manager startest, oder wenn du schon drin bist unter Zahnrad » System Check.

  37. #37
    Contao-Urgestein Avatar von fiedsch
    Registriert seit
    09.07.2009.
    Ort
    München
    Beiträge
    2.208

    Standard

    Edit: habe gerade gesehen, daß ich zu weit oben im Thread war (Frage schon zu alt).

    Zitat Zitat von tschero Beitrag anzeigen
    PHP-Code:
    -bash: ./composer: /bin/sh[COLOR="#FF0000"]^M[/COLOR]: bad interpreterNo such file or directory 
    Wahrscheinlich falsche Zeilenenden (CR/LF vs. LF) in der Datei.
    Stammtisch Contao Bayern: http://www.contao-bayern.de

  38. #38
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Hallo Spooky,

    mit dem Testlauf ging es.
    Wenn ich es dann richtig installieren möchte, kommt der Fehler

    HTML-Code:
    Resolving dependencies using Composer Cloud v1.3.8
    
    # Job ID 5bfbfd819bfde9.92069677 completed in 46 seconds
    
    
    $ /opt/cpanel/ea-php72/root/usr/bin/php '-q' '/home/bsgfiduc/public_html/web/contao-manager.phar.php' 'composer' 'install' '--prefer-dist' '--no-dev' '--no-progress' '--no-suggest' '--no-ansi' '--no-interaction' '--optimize-autoloader' 2>&1
    
    Loading composer repositories with package information
    Installing dependencies from lock file
    Nothing to install or update
    Generating optimized autoload files
    contao/manager-plugin: Generating plugin class...
    contao/manager-plugin: ...done generating plugin class
    > Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication
    
     // Clearing the cache for the prod environment with debug                      
     // false                                                                       
    
     [OK] Cache for the "prod" environment (debug=false) was successfully cleared.  
    
    
     // Warming up the cache for the prod environment with debug                    
     // false                                                                       
    
    
    In Lexer.php line 178:
                                                                                   
      Error: Allowed memory size of 134217728 bytes exhausted (tried to allocate   
      1179648 bytes)                                                               
                                                                                   
    
    cache:warmup [--no-optional-warmers] [-h|--help] [-q|--quiet] [-v|vv|vvv|--verbose] [-V|--version] [--ansi] [--no-ansi] [-n|--no-interaction] [-e|--env ENV] [--no-debug] [--] <command>
    
    Script Contao\ManagerBundle\Composer\ScriptHandler::initializeApplication handling the post-install-cmd event terminated with an exception
    
    In ScriptHandler.php line 113:
                                                                                   
      An error occurred while executing the "cache:warmup" command:                
      In Lexer.php line 178:                                                       
                                                                                   
                                                                                   
        Error: Allowed memory size of 134217728 bytes exhausted (tried to allocat  
      e                                                                            
        1179648 bytes)                                                             
                                                                                   
                                                                                   
                                                                                   
                                                                                   
      cache:warmup [--no-optional-warmers] [-h|--help] [-q|--quiet] [-v|vv|vvv|--  
      verbose] [-V|--version] [--ansi] [--no-ansi] [-n|--no-interaction] [-e|--en  
      v ENV] [--no-debug] [--] <command>                                           
                                                                                   
    
    install [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--] [<packages>]...
    
    
    # Process terminated with exit code 1
    # Result: General error
    Gruß Mark

  39. #39
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.573
    User beschenken
    Wunschliste

    Standard

    Verwendest du evt. ein Theme von PCT? Wenn ja, dann musst du das hier machen: https://community.contao.org/de/show...l=1#post485018

  40. #40
    Contao-Fan Avatar von kischd
    Registriert seit
    25.06.2009.
    Ort
    Karlsruhe
    Beiträge
    915

    Standard

    Verwendest du evt. ein Theme von PCT?
    Stark. Ja hab ich.


    HTML-Code:
    # Contao configuration
    contao:
        url_suffix: ''
    	
    # CPT Anpassung
    twig:
        default_path: '%kernel.project_dir%/app/Resources/views'
    Jetzt sagt er: does not contai n valid YAML
    Gruß Mark

Seite 1 von 2 12 LetzteLetzte

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •